/* ========= Custom Stuff ======== */

body {
    background: url("https://sozaino.site/wp-content/uploads/2023/09/okumono-amiage8.png");
    background-size: cover;

    height: fit-content;

    overflow: hidden scroll;
    display: flex;

    scrollbar-color: var(--hot-pink) var(--pale-pink);

    font-family: lovely;
}

h1 {
    font-family: Jua;
    color: var(--hot-pink);

}

h2 {
    text-shadow: none;
    text-align: left;
    color: var(--pink)
}

p {
    color: var(--brown);
    font-family: lovely;
    text-shadow: none;
}

i {
    color: var(--hot-pink);
    font-size: 14px;
}

#bigPiano img {
    height: 300px;
}

#bigPiano {
    position: absolute;
    right: 30px;
    bottom: 20px;

}


#pixelPiano img {
    height: 100px;
    width: auto;
}

.noBorder img, img.noBorder, .sticker {
    border: none;
}

#illust {
    display: grid;
    grid-template-columns: .8fr .2fr;
    gap: 0 10px;
}

#illust img {
    width: 100px;
}

#pianoCard {
    position: relative;
    top: -200px;
    left: 50px;
    width: 200px;
}

nav {
    grid-area: Nav;
    margin-top: 100px;
    padding: 30px;
    height: 50%;
    z-index: 1;

}

rest {
    grid-area: rest;
}

#top_border {
    background-image:
        url("/images/lace/heartRibbonLace.png"),
        url("/images/bg-decor/sparklePinkGradient.png");

    background-size: auto, auto 100px;
    background-position-y: -50px, -20px;
    background-repeat: repeat-x;

}

img {
    border-width: 8px;
    border-style: solid;
    border-image: url("https://static.tumblr.com/yn7vk7p/DfHmp40xm/bo-ha26.gif") 8 fill round;
}

img:hover {
    scale: 1.1;
}

.container {
    box-sizing: border-box;
    line-height: 1.5;

    width: 1000px;
    height: fit-content;

    margin-top: 50px;
    margin-bottom: 50px;

    margin-right: auto;
    margin-left: auto;

    padding: 10px;

    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    background: url("https://64.media.tumblr.com/c55ddade531032d047d8c73d4dc5fa9d/a87663422dd3d0ff-f4/s100x200/fc330ebeac7cdb84d472f272a77bd602d88ff829.pnj");
    background-position: top center;
    background-size: auto;
    background-clip: padding-box;

    border-image-slice: 51 55 51 55;
    border-image-width: 20px;
    border-image-outset: 10px;
    border-image-repeat: round;
    border-image-source:
        url("https://64.media.tumblr.com/900e56b32f3763868d8e5fa4f82ec6f1/23a43dcdd0fb50e4-31/s400x600/e0c208a5222d732a76f1043fac9541e024c4be3d.pnj");
    border-style: solid;

}

.innerContainer {
    width: 100%;
    height: fit-content;

    border: none;

    display: grid;
    grid-template-columns: 300px auto;
    grid-template-rows: 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "Profile yap";
}

.Profile {
    grid-area: Profile;

    background-color: var(--pink);
    height: fit-content;

    padding: 10px;

    border-radius: 20px;
    border: 2px solid var(--hot-pink);
}

.Profile img {
    width: 80%;
}


.Profile h1 {
    color: var(--pale-pink);
    text-shadow: none;
}

.fact {
    width: 100%;

    display: grid;
    grid-template-columns: 100px auto;
    grid-template-areas: "q info";

    color: var(--pale-pink);

}

.fact div {
    display: flex;
    align-content: center;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;

    border-bottom: 1px solid var(--pale-pink);

}

.q {
    grid-area: q;
    border-right: 1px solid var(--pale-pink);

}

.info {
    grid-area: info;
}


.yap {
    grid-area: yap;
    padding: 10px;
}

.yap span {
    justify-content: left;
}

.collapsible {
    background: var(--light-pink);
    border-radius: 25px 25px 0 0;
    border: 2px solid var(--pink);

}

.collapsible h1 {
    cursor: pointer;
}

.gallery {
    width: 950px;
    margin-left: -300px;
    height: 0px;
    transition-duration: 500ms;

    overflow: hidden;

    background: var(--light-pink);
    border-radius: 25px 0 25px 25px;
    border: 2px solid var(--pink);
}

.gallery .images {
    height: 200px;
    width: auto;
    cursor: pointer
}

.modal {
    background-color: rgb(76 20 63 / 57%);
}

.modal-content {
    height: auto;
    max-height: 80%;
    width: auto;
}

.backbutton {
    background-color: var(--light-pink) !important;
    border: none;
    margin-top: 10px;

    width: 100px;
    height: fit-content;
    cursor: pointer;
}

.backbutton:hover {
    scale: 1.1;
    color: var(--hot-pink);
}




/* music player */
#glenplayer02 {
    position: absolute;
    top: 200px;
    left: 50px;

    display: flex;
    z-index: 99;
}

#glenplayer02 a {
    text-decoration: none;
}

#glenplayer02>div {
    align-self: center;
    -webkit-align-self: center;
}

.music-controls {
    user-select: none;
    -webkit-user-select: none;
    width: 13px;
    font-size: 18px;
    cursor: pointer;
}

.playy,
.pausee {
    color: #F6D5F0;
    text-shadow: -1px 0 #000, 0 1px #000, 1px 0 #000, 0 -1px #000, 0 0;
}

/* color of play & pause buttons */

.pausee {
    display: none;
}

.sonata {
    margin-left: 10px;
    font-family: 'M PLUS Rounded 1c', sans-serif;
    font-size: 14px;
    color: #F6D5F0;
    font-weight: bold;
    text-shadow: -1px 0 #000, 0 1px #000, 1px 0 #000, 0 -1px #000, 0 0;
    /* color of music note symbol */
}

.labeltext {
    margin-left: 0px;
    position: relative;
    bottom: 10px;
    font-family: 'M PLUS Rounded 1c', sans-serif;
    font-size: 14px;
    color: #F6D5F0;
    font-weight: bold;
    text-shadow: -1px 0 #000, 0 1px #000, 1px 0 #000, 0 -1px #000, 0 0;
    /* color of song title */
}

/* =================================================== */
:root {
    --hot-pink: #ff80ce;
    --pink: #ff85d0a0;
    --light-pink: #ffcfed;
    --pale-pink: #fff3f3;
    --brown: #5c3d3c;
}